package native

const (
	MethodGetObject    = "GetObject"
	MethodPutObject    = "PutObject"
	MethodHeadObject   = "HeadObject"
	MethodDeleteObject = "DeleteObject"
	MethodSearchObject = "SearchObject"
	MethodRangeObject  = "RangeObject"
	MethodHashObject   = "HashObject"

	MethodPutContainer     = "PutContainer"
	MethodDeleteContainer  = "DeleteContainer"
	MethodGetContainer     = "GetContainer"
	MethodListContainers   = "ListContainers"
	MethodSetContainerEACL = "SetContainerEACL"
	MethodGetContainerEACL = "GetContainerEACL"

	ObjectPrefix    = "native:object"
	ContainerPrefix = "native:container"

	ResourceFormatNamespaceObjects          = "native:object/%s/*"
	ResourceFormatNamespaceContainerObjects = "native:object/%s/%s/*"
	ResourceFormatNamespaceContainerObject  = "native:object/%s/%s/%s"

	ResourceFormatRootObjects          = "native:object//*"
	ResourceFormatRootContainerObjects = "native:object//%s/*"
	ResourceFormatRootContainerObject  = "native:object//%s/%s"

	ResourceFormatAllObjects = "native:object/*"

	ResourceFormatNamespaceContainer  = "native:container/%s/%s"
	ResourceFormatNamespaceContainers = "native:container/%s/*"

	ResourceFormatRootContainer  = "native:container//%s"
	ResourceFormatRootContainers = "native:container//*"

	ResourceFormatAllContainers = "native:container/*"

	PropertyKeyActorPublicKey = "$Actor:publicKey"
	PropertyKeyActorRole      = "$Actor:role"

	PropertyKeyObjectVersion         = "$Object:version"
	PropertyKeyObjectID              = "$Object:objectID"
	PropertyKeyObjectContainerID     = "$Object:containerID"
	PropertyKeyObjectOwnerID         = "$Object:ownerID"
	PropertyKeyObjectCreationEpoch   = "$Object:creationEpoch"
	PropertyKeyObjectPayloadLength   = "$Object:payloadLength"
	PropertyKeyObjectPayloadHash     = "$Object:payloadHash"
	PropertyKeyObjectType            = "$Object:objectType"
	PropertyKeyObjectHomomorphicHash = "$Object:homomorphicHash"

	PropertyKeyContainerOwnerID = "$Container:ownerID"

	PropertyValueContainerRoleOwner     = "owner"
	PropertyValueContainerRoleIR        = "ir"
	PropertyValueContainerRoleContainer = "container"
	PropertyValueContainerRoleOthers    = "others"
)
