package s3

const (
	PropertyKeyOwner = "Owner"

	PropertyKeyDelimiter = "s3:delimiter"
	PropertyKeyPrefix    = "s3:prefix"
	PropertyKeyVersionID = "s3:VersionId"
	PropertyKeyMaxKeys   = "s3:max-keys"

	PropertyKeyFormatResourceTag = "aws:ResourceTag/%s"
	PropertyKeyFormatRequestTag  = "aws:RequestTag/%s"

	PropertyKeyAccessBoxAttrMFA    = "AccessBox-Attribute/IAM-MFA"
	PropertyKeyFormatAccessBoxAttr = "AccessBox-Attribute/%s"

	ResourceFormatS3All           = "arn:aws:s3:::*"
	ResourceFormatS3Bucket        = "arn:aws:s3:::%s"
	ResourceFormatS3BucketObjects = "arn:aws:s3:::%s/*"
	ResourceFormatS3BucketObject  = "arn:aws:s3:::%s/%s"

	ResourceFormatIAMNamespaceUser  = "arn:aws:iam::%s:user/%s"
	ResourceFormatIAMNamespaceGroup = "arn:aws:iam::%s:group/%s"
)
